Package org.gradle.tooling.events.task

# Interface TaskExecutionResult

All Superinterfaces:
  `OperationResult`, `TaskOperationResult`

All Known Subinterfaces:
  `TaskFailureResult`, `TaskSuccessResult`

public interface TaskExecutionResult extends TaskOperationResult
Describes the result of a non-skipped task.

Since:
  5.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable List<String>`
  `getExecutionReasons()`
  Returns the reasons why this task was executed.
  `boolean`
  `isIncremental()`
  Returns whether this task was executed incrementally.

  ### Methods inherited from interface org.gradle.tooling.events.OperationResult

  `getEndTime, getStartTime`

- ## Method Details

  - ### isIncremental

    boolean isIncremental()
    Returns whether this task was executed incrementally.
    Returns:
      `true` if this task was executed incrementally
    Throws:
      `UnsupportedMethodException` - For Gradle versions older than 5.1, where this method is not supported.

  - ### getExecutionReasons

    @Nullable List<String> getExecutionReasons()
    Returns the reasons why this task was executed.
    Returns:
      the reasons why this task was executed; an empty list indicates the task was up-to-date; `null` that it failed before up-to-date checks had been performed.
    Throws:
      `UnsupportedMethodException` - For Gradle versions older than 5.1, where this method is not supported.